Bug 120318 - (FUTEX) Oops in shutdown of filterd with traces pointing to futex code
(FUTEX) Oops in shutdown of filterd with traces pointing to futex code
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-07 15:15 EDT by Dan Christian
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
watchdog-5.3-1.i386.rpm: the user side of the software watchdog (50.45 KB, application/octet-stream)
2004-05-11 13:49 EDT, Dan Christian
no flags Details

  None (edit)
Description Dan Christian 2004-04-07 15:15:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Using the software watchdog (with watchdog-5.2) seems to cause the
oops on shutdown (Bug #116853).  

This seems to be unchanged from 2.6.3 to 2.6.4.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.enable watchdog (which will load softdog)

Actual Results:  oops at the end system shutdown (hangs forever)

Expected Results:  reboot

Additional info:
Comment 1 Alan Cox 2004-05-03 09:11:52 EDT
With test3 I do

insmod softdog

and all is fine

insmod softdog
cat /dev/softdog (to start timer)

and all is fine (reboot in 60 seconds)

Can you retest with test3 and re-open if the bug still exists
Comment 2 Dan Christian 2004-05-05 14:49:35 EDT
I can still reproduce this (first try).

Here is what was going to the serial console:

#### May 05  11:53:40 up  2:26,  2 users,  load average: 3.39, 3.65, 3.68
Broadcast message from root (tty8) (Wed May  5 11:53:42 2004):
The system is going down for reboot NOW!
SoftDog: Unexpected close, not stopping watchdog!
Unable to handle kernel paging request at virtual address 829bec04
>serint ngerip:
*pde = 00000000
Oops: 0002 [#1]
CPU:    3
EIP:    0060:[<02127148>]    Not tainted
EFLAGS: 00010046   (2.6.5-1.327smp)
EIP is at del_timer+0x82/0xcc
eax: 829bec00   ebx: 042326e0   ecx: 04231ce0   edx: 04233140
esi: 12409eb4   edi: 00000202   ebp: 12409eb4   esp: 12409e80
ds: 007b   es: 007b   ss: 0068
Process filterd (pid: 589, threadinfo=12409000 task=122437b0)
Stack: 04231ce0 04231ce0 0082b22d 0082b22d 12409f00 021271b7 12409f00
       0082b22d 0082b22d 12409f00 12409000 022c08f4 829bec00 04233140
       00000001 dead4ead 4b87ad6e 02127a00 122437b0 042326e0 7f730380
Call Trace:
 [<021271b7>] del_timer_sync+0x25/0xf2
 [<022c08f4>] schedule_timeout+0x9a/0xae
 [<02127a00>] process_timeout+0x0/0x5
 [<02132067>] futex_wait+0x107/0x19a
 [<0211c047>] default_wake_function+0x0/0xc
 [<02153f59>] rw_vm+0x299/0x2eb
 [<0211c047>] default_wake_function+0x0/0xc
 [<02153f59>] rw_vm+0x299/0x2eb
 [<0213232c>] do_futex+0x2c/0x60
 [<02132424>] sys_futex+0xc4/0xd3
Code: 89 50 04 89 02 b2 01 c7 06 00 01 10 00 c7 46 04 00 02 20 00
Comment 3 Alan Cox 2004-05-05 15:30:25 EDT
Ok thats not watchdog related by the look of it, but instead a more
general bug involving futex/timers. Only way I can see it being
softdog triggered is if softdog is somehow corrupting the timer chain ?

Comment 4 Dan Christian 2004-05-05 16:50:18 EDT
When I had softdog tracing another process (by setting pidfile in
/etc/watchdog.conf), the system could become unstable before it even
finished booting.

So, I was thinking that it really may be corrupting something.

Shall I try to get more call traces to see how repeatable it is?
Comment 5 Dan Christian 2004-05-11 13:49:09 EDT
Created attachment 100155 [details]
watchdog-5.3-1.i386.rpm: the user side of the software watchdog

This is my build of the user side of the software watchdog.  This is what I am
using to trigger the kernel problems.

I had trouble contacting the orginal author, so the version number (5.3) is my
own "fork".  It is the same a 5.2, but some compile bugs were fixed and I
regenerated the automake/autoconf files.  I can attach the source RPM, if
Comment 6 Dave Jones 2004-11-20 02:09:45 EST
still a problem with the latest errata kernel ?
Comment 7 Dave Jones 2005-04-16 00:46:13 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.